using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkOrderDetailsGetSubsidyDetailDTO
{

    /*
        该笔订单包含的补贴类型
    */
    private string? subsidyType;


    /*
        补贴比率
    */
    private string? subsidyRate;


    /*
        对应补贴类型的补贴金额
    */
    private string? subsidyFee;


    /*
        单笔订单补贴上限。对应补贴类型的单笔订单补贴上限
    */
    private string? subsidyUpperLimit;


    /*
        补贴分成比率
    */
    private string? subsidyShareRate;



    [JsonPropertyName("subsidy_type")]
    public string? SubsidyType
    {
        get => subsidyType;
        set => this.subsidyType = value;
    }

    [JsonPropertyName("subsidy_rate")]
    public string? SubsidyRate
    {
        get => subsidyRate;
        set => this.subsidyRate = value;
    }

    [JsonPropertyName("subsidy_fee")]
    public string? SubsidyFee
    {
        get => subsidyFee;
        set => this.subsidyFee = value;
    }

    [JsonPropertyName("subsidy_upper_limit")]
    public string? SubsidyUpperLimit
    {
        get => subsidyUpperLimit;
        set => this.subsidyUpperLimit = value;
    }

    [JsonPropertyName("subsidy_share_rate")]
    public string? SubsidyShareRate
    {
        get => subsidyShareRate;
        set => this.subsidyShareRate = value;
    }

}

